/**
 * 模糊查询得到传过去的对象的方法
 * @param columnName 数据库的字段名
 * @param queryStr 模糊查询字段
 * @param pageNum 当前页码
 * @param pageSize 当前字段大小
 * @returns {{conditionJson: string, pageSize, pageNum: (number|*)}}
 */
export const likeQueryMethod = (columnName,queryStr,pageNum,pageSize,columnName2,queryStr2)=>{
    let conditionJsonWhole = [];
    if(queryStr != ''){
        if(queryStr == null) queryStr = '';
        conditionJsonWhole.push({
            column:columnName,
            type:'like',
            value:queryStr
        });
    }
    if(queryStr2){
        if(queryStr2 != ''){
            if(queryStr2 == null) queryStr2 = '';
            conditionJsonWhole.push({
                column:columnName2,
                type:'like',
                value:queryStr2
            });
        }
    }
    let s = encodeURIComponent(JSON.stringify(conditionJsonWhole));
    return ({
        conditionJson:s,
        pageNum,
        pageSize
    })
}